/*	=== FAST AVR by UA3PRQ'2008 DEMO ===
	AvrStudio + WinAVR

	Test 7-LED 2				
	  */


#include <inttypes.h>
#include <avr/io.h>
#include <util/delay.h>

//#define DEBUG /* AVR Studio debug in realtime delays */

/* common cachode */
//const unsigned char led1[] = {0x3F,0x06,0x5B,0x4F,0x66,0x6D,0x7D,0x07,0x7F,0x6F};

/* common anode */
const unsigned char led2[] = {0xC0,0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80,0x90}; 



void fly (unsigned char c1,unsigned char c2) // 7-segments LED output
{	unsigned char cicle=50;
	do
	{	PORTC = 0b01000000; // on PWR key1
	PORTA = led2[c1]; // on LED segments
	#ifndef DEBUG 
	_delay_ms(5); //5ms OK
	#endif
	PORTC = 0b10000000; // on PWR key2
	PORTA = led2[c2]; // on LED segments
	#ifndef DEBUG 
	_delay_ms(5);
	#endif
	}
	while (cicle--);
}


int main(void)
{ 
unsigned char i;
DDRA = 0xFF; // DDR all output
DDRC = 0b11000000; // DDR on PWR key
while (1) // main loop
	{	i=9; //counter
	do
	fly(9-i,i);
	while (i--);
	} 
}
